---
title: "Integrations"
slug: "biometrics-authentication"
updated: 2024-04-05T17:49:57Z
published: 2024-04-05T17:49:57Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.knovvu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

Knovvu Biometrics uses an HTTP authentication scheme that involves security tokens for secure authentication.

### Prerequisites

`clientId` and `clientSecret` information must be obtained from the SESTEK Sales Support & Operations Team. Once the subscription is established, Client ID and Client Secret will be sent, which should be utilized for token generation as outlined below.

### How to generate a Bearer Token

**Token Endpoint:**

URL: `{{AuthServerBaseUrl}}/connect/token`
HTTP Method: `POST`
Content-Type: `application/x-www-form-urlencoded`

<br>

| **Request parameters** | **Description** |
| --- | --- |
| `grant_type` | `client_credentials` type of grant is used for authentication. |
| `client_id` | Unique Client Id received from the SESTEK |
| `client_secret` | Unique Client Secret received from the SESTEK |
| `scope` | The scope of access you are requesting. One of the following values: <br />- `vb-api`: the token can be used for core biometrics <br />- `votg-api`: the token can be used for real-time biometrics |


### Examples

**Here's an example of a request:**

``` curl
curl --location 'https://identity.vb.useast.knovvu.com/connect/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials' \
--data-urlencode 'client_id=[client_id]' \
--data-urlencode 'client_secret=[client_secret]' \
--data-urlencode 'scope=votg-api'
```

**And the corresponding response:**
``` json
{
    "access_token": "[token]",
    "token_type": "Bearer",
    "expires_in": 86399
}
```
